#ifndef Bluetooth_h
#define Bluetooth_h
#include <SoftwareSerial.h>
#include <Arduino.h>

// define baudaud value 
#define BAUD4 9600
#define BAUD5 19200
#define BAUD6 38400
#define BAUD7 57600
#define BAUD8 115200

// define type
#define HC05 0
#define HC06 1

#define TIME_OUT 700  

const long BAUD[] = {BAUD4, BAUD5, BAUD6, BAUD7, BAUD8}; 

class Bluetooth {
	
	private:
		SoftwareSerial *mSerial;
		HardwareSerial *serialMonitor;
		boolean AT_MODE = false;
		String data;
		long current_baudrate, new_baudrate;
		uint8_t _en, _type;
   		String respone(boolean debug);
		
    
	public:   
		Bluetooth(uint8_t type, uint8_t rx, uint8_t tx);
		Bluetooth(uint8_t type, uint8_t rx, uint8_t tx, uint8_t keypin);
		void begin(long baudrate);
		
		//configuration
		void startConfig();
		void setBaudrate(long baudrate);
		void setName(String name);
		void setPassword(String password);
		void endConfig();

		// message
		void sendAT(String data);
		void sendData(String data);
		String getData();
};

#endif
